<template>
    <v-container class="main-container" fluid pa-0>
        <v-expansion-panels>
            <v-expansion-panel v-for="fav in $store.getters.favHeroes" :key="fav.name" class="fav-card">
                <v-expansion-panel-header>
                    <v-row justify="center" align="center" class="spacer" no-gutters>
                        <v-col>
                            <v-avatar size="200" tile class="avatar">
                                <v-img :src="fav.path"></v-img>
                            </v-avatar>
                        </v-col>
                        <v-col>
                            <h2 class="name">
                                {{fav.name}}
                            </h2>
                        </v-col>
                        <v-col>
                            <v-btn icon @click.native.stop v-on:click="ToggleFav(fav)">
                                <span v-if="!fav.isFav" key="not-clicked"><i  class="far fa-heart" ></i></span>
                                <span v-else key="clicked"><i  class="fa fa-heart"></i></span>
                            </v-btn>
                        </v-col>
                        <v-col>
                            <v-btn icon @click.native.stop v-on:click="EditHero(fav)">
                                <span key="not-clicked"><i  class="far fa-edit" ></i></span>
                            </v-btn>
                        </v-col>
                    </v-row>
                </v-expansion-panel-header>
                <v-expansion-panel-content>
                    <h2>{{fav.description}}</h2>
                </v-expansion-panel-content>
            </v-expansion-panel>
        </v-expansion-panels>

    </v-container>
</template>

<script>
    import {mapState} from "vuex";

    export default {
        name: "Dashboard",
        computed:{
        },
        data: function () {
            return {
               clicked: true,
                currentHero: null
            }
        },
        methods:{
            ToggleFav: function(currentHero){
                currentHero.isFav = !currentHero.isFav
                this.currentHero = currentHero
                if (!currentHero.isFav){
                    this.$store.dispatch('DeleteFavHero', this.currentHero)
                }
            },
            EditHero: function(hero){
                console.log("okok")
                console.log(hero)
                this.$router.push({name:"EDIT", params: {hero: hero}})
            }
        }
    }
</script>

<style scoped>
    .fav-card{
    }
    .name{
        margin-left: 5%;
    }
    .main-container{
        background-color: #2c3e50;
        height: 100%;
    }
</style>